Index: c/src/lib/libcpu/powerpc/new-exceptions/bspsupport/ppc_exc_print.c
===================================================================
--- c/src/lib/libcpu/powerpc/new-exceptions/bspsupport/ppc_exc_print.c	(revision af97ba8f295e61f84d147cdc59b3d1d0e6209b4c)
+++ c/src/lib/libcpu/powerpc/new-exceptions/bspsupport/ppc_exc_print.c	(revision 2d0a8058a8bd20ac9c6bbcc23fdbfafc239bbd8f)
@@ -97,6 +97,6 @@
 
   printk("exception vector %d (0x%x)\n", n, n);
-  printk("  next PC or address of fault = 0x%08" PRIu32 "\n", excPtr->EXC_SRR0);
-  printk("  saved MSR = 0x%08" PRIu32 "\n", excPtr->EXC_SRR1);
+  printk("  next PC or address of fault = 0x%08" PRIx32 "\n", excPtr->EXC_SRR0);
+  printk("  saved MSR = 0x%08" PRIx32 "\n", excPtr->EXC_SRR1);
 
   /* Try to find out more about the context where this happened */
@@ -113,49 +113,49 @@
   /* Dump registers */
 
-  printk("  R0  = 0x%08" PRIu32 "", GET_GPR(excPtr->GPR0));
+  printk("  R0  = 0x%08" PRIx32 "", GET_GPR(excPtr->GPR0));
   if (synch) {
-    printk(" R1  = 0x%08" PRIu32 "", GET_GPR(excPtr->GPR1));
-    printk(" R2  = 0x%08" PRIu32 "", GET_GPR(excPtr->GPR2));
+    printk(" R1  = 0x%08" PRIx32 "", GET_GPR(excPtr->GPR1));
+    printk(" R2  = 0x%08" PRIx32 "", GET_GPR(excPtr->GPR2));
   } else {
     printk("               ");
     printk("               ");
   }
-  printk(" R3  = 0x%08" PRIu32 "\n", GET_GPR(excPtr->GPR3));
-  printk("  R4  = 0x%08" PRIu32 "", GET_GPR(excPtr->GPR4));
-  printk(" R5  = 0x%08" PRIu32 "", GET_GPR(excPtr->GPR5));
-  printk(" R6  = 0x%08" PRIu32 "", GET_GPR(excPtr->GPR6));
-  printk(" R7  = 0x%08" PRIu32 "\n", GET_GPR(excPtr->GPR7));
-  printk("  R8  = 0x%08" PRIu32 "", GET_GPR(excPtr->GPR8));
-  printk(" R9  = 0x%08" PRIu32 "", GET_GPR(excPtr->GPR9));
-  printk(" R10 = 0x%08" PRIu32 "", GET_GPR(excPtr->GPR10));
-  printk(" R11 = 0x%08" PRIu32 "\n", GET_GPR(excPtr->GPR11));
-  printk("  R12 = 0x%08" PRIu32 "", GET_GPR(excPtr->GPR12));
+  printk(" R3  = 0x%08" PRIx32 "\n", GET_GPR(excPtr->GPR3));
+  printk("  R4  = 0x%08" PRIx32 "", GET_GPR(excPtr->GPR4));
+  printk(" R5  = 0x%08" PRIx32 "", GET_GPR(excPtr->GPR5));
+  printk(" R6  = 0x%08" PRIx32 "", GET_GPR(excPtr->GPR6));
+  printk(" R7  = 0x%08" PRIx32 "\n", GET_GPR(excPtr->GPR7));
+  printk("  R8  = 0x%08" PRIx32 "", GET_GPR(excPtr->GPR8));
+  printk(" R9  = 0x%08" PRIx32 "", GET_GPR(excPtr->GPR9));
+  printk(" R10 = 0x%08" PRIx32 "", GET_GPR(excPtr->GPR10));
+  printk(" R11 = 0x%08" PRIx32 "\n", GET_GPR(excPtr->GPR11));
+  printk("  R12 = 0x%08" PRIx32 "", GET_GPR(excPtr->GPR12));
   if (synch) {
-    printk(" R13 = 0x%08" PRIu32 "", GET_GPR(excPtr->GPR13));
-    printk(" R14 = 0x%08" PRIu32 "", GET_GPR(excPtr->GPR14));
-    printk(" R15 = 0x%08" PRIu32 "\n", GET_GPR(excPtr->GPR15));
-    printk("  R16 = 0x%08" PRIu32 "", GET_GPR(excPtr->GPR16));
-    printk(" R17 = 0x%08" PRIu32 "", GET_GPR(excPtr->GPR17));
-    printk(" R18 = 0x%08" PRIu32 "", GET_GPR(excPtr->GPR18));
-    printk(" R19 = 0x%08" PRIu32 "\n", GET_GPR(excPtr->GPR19));
-    printk("  R20 = 0x%08" PRIu32 "", GET_GPR(excPtr->GPR20));
-    printk(" R21 = 0x%08" PRIu32 "", GET_GPR(excPtr->GPR21));
-    printk(" R22 = 0x%08" PRIu32 "", GET_GPR(excPtr->GPR22));
-    printk(" R23 = 0x%08" PRIu32 "\n", GET_GPR(excPtr->GPR23));
-    printk("  R24 = 0x%08" PRIu32 "", GET_GPR(excPtr->GPR24));
-    printk(" R25 = 0x%08" PRIu32 "", GET_GPR(excPtr->GPR25));
-    printk(" R26 = 0x%08" PRIu32 "", GET_GPR(excPtr->GPR26));
-    printk(" R27 = 0x%08" PRIu32 "\n", GET_GPR(excPtr->GPR27));
-    printk("  R28 = 0x%08" PRIu32 "", GET_GPR(excPtr->GPR28));
-    printk(" R29 = 0x%08" PRIu32 "", GET_GPR(excPtr->GPR29));
-    printk(" R30 = 0x%08" PRIu32 "", GET_GPR(excPtr->GPR30));
-    printk(" R31 = 0x%08" PRIu32 "\n", GET_GPR(excPtr->GPR31));
+    printk(" R13 = 0x%08" PRIx32 "", GET_GPR(excPtr->GPR13));
+    printk(" R14 = 0x%08" PRIx32 "", GET_GPR(excPtr->GPR14));
+    printk(" R15 = 0x%08" PRIx32 "\n", GET_GPR(excPtr->GPR15));
+    printk("  R16 = 0x%08" PRIx32 "", GET_GPR(excPtr->GPR16));
+    printk(" R17 = 0x%08" PRIx32 "", GET_GPR(excPtr->GPR17));
+    printk(" R18 = 0x%08" PRIx32 "", GET_GPR(excPtr->GPR18));
+    printk(" R19 = 0x%08" PRIx32 "\n", GET_GPR(excPtr->GPR19));
+    printk("  R20 = 0x%08" PRIx32 "", GET_GPR(excPtr->GPR20));
+    printk(" R21 = 0x%08" PRIx32 "", GET_GPR(excPtr->GPR21));
+    printk(" R22 = 0x%08" PRIx32 "", GET_GPR(excPtr->GPR22));
+    printk(" R23 = 0x%08" PRIx32 "\n", GET_GPR(excPtr->GPR23));
+    printk("  R24 = 0x%08" PRIx32 "", GET_GPR(excPtr->GPR24));
+    printk(" R25 = 0x%08" PRIx32 "", GET_GPR(excPtr->GPR25));
+    printk(" R26 = 0x%08" PRIx32 "", GET_GPR(excPtr->GPR26));
+    printk(" R27 = 0x%08" PRIx32 "\n", GET_GPR(excPtr->GPR27));
+    printk("  R28 = 0x%08" PRIx32 "", GET_GPR(excPtr->GPR28));
+    printk(" R29 = 0x%08" PRIx32 "", GET_GPR(excPtr->GPR29));
+    printk(" R30 = 0x%08" PRIx32 "", GET_GPR(excPtr->GPR30));
+    printk(" R31 = 0x%08" PRIx32 "\n", GET_GPR(excPtr->GPR31));
   } else {
     printk("\n");
   }
-  printk("  CR  = 0x%08" PRIu32 "\n", excPtr->EXC_CR);
-  printk("  CTR = 0x%08" PRIu32 "\n", excPtr->EXC_CTR);
-  printk("  XER = 0x%08" PRIu32 "\n", excPtr->EXC_XER);
-  printk("  LR  = 0x%08" PRIu32 "\n", excPtr->EXC_LR);
+  printk("  CR  = 0x%08" PRIx32 "\n", excPtr->EXC_CR);
+  printk("  CTR = 0x%08" PRIx32 "\n", excPtr->EXC_CTR);
+  printk("  XER = 0x%08" PRIx32 "\n", excPtr->EXC_XER);
+  printk("  LR  = 0x%08" PRIx32 "\n", excPtr->EXC_LR);
 
   /* Would be great to print DAR but unfortunately,
@@ -167,5 +167,5 @@
   if (ppc_exc_get_DAR != NULL) {
     char* reg = ppc_cpu_is_60x() ? " DAR" : "DEAR";
-    printk(" %s = 0x%08" PRIu32 "\n", reg, ppc_exc_get_DAR());
+    printk(" %s = 0x%08" PRIx32 "\n", reg, ppc_exc_get_DAR());
   }
   if (ppc_cpu_is_bookE()) {
